package ac.ed.lurg.types;

public enum LandCoverType {
	
	MANAGED_FOREST ("managedForest", true),
	UNMANAGED_FOREST ("unmanagedForest", true),
	OTHER_NATURAL ("otherNatural", true),
	CROPLAND ("cropland", false),
	PASTURE ("pasture", false),
	BARREN ("barren", false),
	URBAN("urban", false);

	private String name;
	private boolean isProtectable;
	
	LandCoverType(String name, boolean isProtectable) {
		this.name = name;
		this.isProtectable = isProtectable;
	}
	
	public String getName() {
		return name;
	}
	
	public boolean isProtectable() {
		return isProtectable;
	}
}

