package ac.ed.lurg.country;

import ac.sac.raster.AbstractRasterReader;
import ac.sac.raster.RasterSet;

public class CountryBoundaryReader extends AbstractRasterReader<CountryBoundaryItem> {	
	
	public CountryBoundaryReader (RasterSet<CountryBoundaryItem> dataset) {
		super(dataset);
	}

	@Override
	public void setData(CountryBoundaryItem item, String token) {
		int isoCode = Integer.parseInt(token);
		SingleCountry c = CountryManager.getForCode(isoCode);
		item.setCountry(c);
	}
}